%global momorel 4

Summary: A TLS protocol implementation
Name: gnutls
Version: 2.8.6
Release: %{momorel}m%{?dist}
License: GPLv3+ and LGPLv2+
Group: System Environment/Libraries
URL: http://www.gnutls.org/
# XXX: lib/{auth_srp_rsa.c,auth_srp_sb64.c,auth_srp_passwd.c,auth_srp.c,gnutls_srp.c,ext_srp.c}
#      are tainted by SRP patent.
Source0: ftp://ftp.gnu.org/pub/gnu/gnutls/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: libgnutls-config
Source2: brp-compress
Patch1: gnutls-2.8.5-rpath.patch
Patch2: gnutls-2.8.6-link-libgcrypt.patch
Patch3: gnutls-2.8.6-safe-renegotiation.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libgcrypt-devel >= 1.2.4-2m
BuildRequires: gettext
BuildRequires: guile-devel
BuildRequires: libtasn1-devel
BuildRequires: lzo-devel
BuildRequires: readline-devel >= 5.0
BuildRequires: zlib-devel

%package devel
Summary: Development files for the gnutls package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgcrypt-devel
Requires: zlib-devel
Requires: pkgconfig
Requires(post): info
Requires(preun): info

%package utils
Summary: Command line tools for TLS protocol
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%package guile
Summary: Guile bindings for the GNUTLS library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: guile

%description
GnuTLS is a project that aims to develop a library which provides a secure 
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group.

%description devel
GnuTLS is a project that aims to develop a library which provides a secure
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group.
This package contains files needed for developing applications with
the GnuTLS library.

%description utils
GnuTLS is a project that aims to develop a library which provides a secure
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group.
This package contains command line TLS client and server and certificate
manipulation tools.

%description guile
GnuTLS is a project that aims to develop a library which provides a secure
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group.
This package contains Guile bindings for the library.

# do not bzip2 %{_infodir}/*.png
%define __os_install_post %{SOURCE2}; \
    %{_rpmconfigdir}/momonga/brp-compress \
    %{_rpmconfigdir}/momonga/brp-strip \
    %{_rpmconfigdir}/momonga/brp-strip-shared \
    %{_rpmconfigdir}/brp-strip-static-archive \
    %{_rpmconfigdir}/momonga/brp-strip-comment-note \
    %{_rpmconfigdir}/momonga/modify-init.d \
    %{_rpmconfigdir}/momonga/modify-la \

%prep
%setup -q
%patch1 -p1 -b .rpath
%patch2 -p1 -b .link
%patch3 -p1 -b .CVE-2009-3555

chmod a+x tests/safe-renegotiation/testsrn

%build
%configure \
    --with-libtasn1-prefix=%{_prefix} \
    --with-included-libcfg \
    --disable-srp-authentication \
    --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{_bindir}/srptool
rm -f %{buildroot}%{_bindir}/gnutls-srpcrypt
install -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/libgnutls-config
install -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/libgnutls-extra-config
rm -f %{buildroot}%{_mandir}/man1/srptool.1
rm -f %{buildroot}%{_mandir}/man3/*srp*
rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/libguile*.a
%find_lang libgnutls

cp lib/COPYING COPYING.LIB

%check
make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gnutls.info %{_infodir}/dir

%preun devel
if [ "$1" -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/gnutls.info %{_infodir}/dir
fi

%files -f libgnutls.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB README AUTHORS
%{_libdir}/libgnutls*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/libgnutls*-config
%{_includedir}/*
%{_libdir}/libgnutls*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
%{_infodir}/gnutls*

%files utils
%defattr(-,root,root,-)
%doc doc/certtool.cfg
%{_bindir}/certtool
%{_bindir}/psktool
%{_bindir}/gnutls*
%{_mandir}/man1/*

%files guile
%defattr(-,root,root,-)
%{_libdir}/libguile*.so*
%{_datadir}/guile/site/gnutls
%{_datadir}/guile/site/gnutls.scm

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.8.6-4m)
- full rebuild for mo7 release

* Fri Jun 25 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.6-3m)
- [SECURITY] CVE-2009-3555 
- apply Patch3: gnutls-2.8.6-safe-renegotiation.patch

* Thu Jun  3 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.8.6-2m)
- fix file permissions
-- %%{_bindir}/libgnutls*-config should be executable

* Thu May 27 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.6-1m)
- update to 2.8.6
- split out guile package

* Tue May 04 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.6-7m)
- rebuild against readline6

* Sun Mar 28 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.6-6m)
- modify __os_install_post for new momonga-rpmmacros

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.6.6-5m)
- fix BuildRequires:

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.6.6-4m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.6-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Aug 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.6-2m)
- [SECURITY] CVE-2009-2730
- import a security patch (Patch1) from Fedora 11 (2.6.6-2)

* Mon May  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.6-1m)
- [SECURITY] CVE-2009-1415 CVE-2009-1416 CVE-2009-1417
- update to 2.6.6

* Mon Mar 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.4-2m)
- update Source2: brp-compress to enable xz compression

* Sat Feb  7 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.4-1m)
- [SECURITY] CVE-2009-2409
- update to 2.6.4
-- %%define __libtoolize :

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.1-4m)
- rebuild against rpm-4.6

* Wed Nov 12 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.1-3m)
- do not bzip2 %%{_infodir}/*.png
- fix installation of info files

* Tue Nov 11 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.1-2m)
- [SECURITY] CVE-2008-4989 GNUTLS-SA-2008-3
- import a security patch (Patch1) from Gentoo

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4.1-1m)
- update to 2.4.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.1-5m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.1-5m)
- %%NoSource -> NoSource

* Mon Mar 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.6.1-4m)
- rebuild against libgcrypt-1.2.4-2m

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.1-3m)
- retrived libtool library

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.1-2m)
- delete libtool library

* Mon Jan  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-1m)
- update to 1.6.1

* Sun Dec 10 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.0-1m)
- update to 1.6.0

* Sat Sep 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.4.4-1m)
- update to 1.4.4
- import 2 patches from FC
- [SECURITY]Variant of Bleichenbacher's crypto 06 rump session attack (CVE-2006-4790)

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.10-2m)
- rebuild against readline-5.0

* Thu May  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.10-1m)
- version up

* Sat Nov 12 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2.9-2m)
- use install-info.
  file /usr/share/info/dir from install of gnutls-devel-1.2.9-1m
  conflicts with file from package info-4.8-5m.

* Tue Nov  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2.9-1m)
- [SECURITY] CVE-2010-0731 (fixed in 1.2.1)
- up to 1.2.9

* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.24-1m)
- import from Fedora
- version 1.0.24

* Tue Jan  4 2005 Ivana Varekova <varekova@redhat.com> 1.0.20-5
- add gnutls Requires zlib-devel (#144069)

* Mon Nov 08 2004 Colin Walters <walters@redhat.com> 1.0.20-4
- Make gnutls-devel Require libgcrypt-devel

* Tue Sep 21 2004 Jeff Johnson <jbj@redhat.com> 1.0.20-3
- rebuild with release++, otherwise unchanged.

* Tue Sep  7 2004 Jeff Johnson <jbj@redhat.com> 1.0.20-2
- patent tainted SRP code removed.

* Sun Sep  5 2004 Jeff Johnson <jbj@redhat.com> 1.0.20-1
- update to 1.0.20.
- add --with-included-opencdk --with-included-libtasn1
- add --with-included-libcfg --with-included-lzo
- add --disable-srp-authentication.
- do "make check" after build.

* Fri Mar 21 2003 Jeff Johnson <jbj@redhat.com> 0.9.2-1
- upgrade to 0.9.2

* Tue Jun 25 2002 Jeff Johnson <jbj@redhat.com> 0.4.4-1
- update to 0.4.4.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Jeff Johnson <jbj@redhat.com> 0.4.3-1
- update to 0.4.3.

* Tue May 21 2002 Jeff Johnson <jbj@redhat.com> 0.4.2-1
- update to 0.4.2.
- change license to LGPL.
- include splint annotations patch.

* Tue Apr  2 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.0-1
- update to 0.4.0

* Thu Jan 17 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.2-1
- update to 0.3.2

* Wed Jan 10 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.0-1
- add a URL

* Wed Dec 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
